<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This is class renders Charge Sweep Types on responses and forms.
 *
 * @package    OSB
 * @subpackage Utilities
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class StaticList_SweepType extends StaticList {
	protected function table() {
		return array(
			0=>_('Daily'),
			1=>_('Weekly'),
			2=>_('Monthly'),
			3=>_('Quarterly'),
			4=>_('Semi-Annually'),
			5=>_('Annually'),
			6=>_('Service Rebill'),
		);
	}

	public static function factory() {
		return new StaticList_SweepType;
	}

	public static function display($value) {
		return static::_display($value);
	}
}
?>
